Strange legend behaviour
Status: Closed

Priority: Low

Assignee: Giuseppe Sucameli

Category: GUI

Pull Request or Patch supplied: Resolution: fixed

Easy fix?: No Copied to github as #: 12771

Description

See the screenshot attached. The layer symbol is in a strange position.

Here how reproduce it.

Load more than 1 layer (2 layers)

Move the upper layer bottom

Double click on the new upper layer simbol

Sometimes QGis crashes when you do doubleclick on the simbol

History

#1 - 2010-05-13 08:52 AM - Giovanni Manghi

Great Giuseppe,

you find a way to reproduce this problem! :)

Hopefully fixing this will fix also the "crazy jumping legend item" problem...

cheers

#2 - 2010-05-13 09:13 AM - Jürgen Fischer

see also #2528

#3 - 2010-05-23 12:21 PM - Giovanni Manghi

see also #2018

#4 - 2010-05-25 03:19 PM - Giuseppe Sucameli

I hope my patch resolves these 3 tickets once and for all.

There is also another fix, to avoid crashes if you drag a layer and drop it in an invalid place.

Did I earn an svn account?? :P
#5 - 2010-05-25 04:05 PM - Giovanni Manghi

Great Giuseppe! :)

#6 - 2010-05-26 04:32 AM - Giuseppe Sucameli

Replying to [comment:4 brushtyler]:

There is also another fix, to avoid crashes if you drag a layer and drop it in an invalid place.

I see that the other fix is related with ticket #699.

So I splitted the first attached patch in 2 parts. Use fix2711.diff as patch for this ticket.

#7 - 2010-06-03 06:35 PM - Giuseppe Sucameli

- Resolution set to fixed

- Status changed from Open to Closed

Fixed by applying patch (from commit:0d4c08ac (SVN r13641))

Files

img0.png 12.2 KB 2010-05-13 Giuseppe Sucameli

patch.diff 1.11 KB 2010-05-25 Giuseppe Sucameli

fix2711.diff 593 Bytes 2010-05-26 Giuseppe Sucameli
